Name:           amahi-transmission
Version: 0.2
Release:        4
Summary:        amahi-transmission is the Amahi transmission daemon and web server process.
Group:          System Environment/Daemons
Source:		amahi-transmission-%{version}.tar.gz
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:	transmission >= 1.40

%define debug_package %{nil}

%description
amahi-transmission is the Amahi transmission daemon and web server process.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/hda/files/torrents

install -m 0755 -D -p amahi-transmission.initscript ${RPM_BUILD_ROOT}%{_initrddir}/amahi-transmission
install -m 0644 -D -p amahi-transmission-watch.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/amahi-transmission-watch
install -m 0644 -D -p amahi-transmission.monit ${RPM_BUILD_ROOT}%{_sysconfdir}/monit.d/amahi-transmission.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/chkconfig --add amahi-transmission
/sbin/chkconfig amahi-transmission on
/sbin/service amahi-transmission start 2>&1 > /dev/null

%preun

if [ "$1" != 0 ]; then
	/sbin/service amahi-transmission condrestart 2>&1 > /dev/null
	/sbin/service monit condrestart 2>&1 > /dev/null
else
	# not an update, a complete uninstall
	/sbin/service amahi-transmission stop 2>&1 > /dev/null
	/sbin/chkconfig --del amahi-transmission
fi

%files
%defattr(-,root,root,-)
%{_initrddir}/amahi-transmission
%attr(0775,transmission,users) /var/hda/files/torrents
%{_sysconfdir}/cron.d/amahi-transmission-watch
%{_sysconfdir}/monit.d/amahi-transmission.conf

%changelog
* Sun Mar 22 2009 cpg
- add monit wtching, pid, increate requirement version
* Sun Mar 22 2009 nesl247
- add crontab file to watch for torrents
* Sun Mar 21 2009 carlos puchol
- started
